Bug 1010293 - (JCache, JSR107) Review Request: JCache - JSR107 API for javax.cache
Review Request: JCache - JSR107 API for javax.cache
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
Reported: 2013-09-20 09:07 EDT by Pete MacKinnon
Modified: 2014-01-13 11:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-13 10:56:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
review notes (8.42 KB, text/plain)
2013-09-20 16:03 EDT, gil cattaneo
no flags Details

  None (edit)
Description Pete MacKinnon 2013-09-20 09:07:20 EDT
JCache is the API being defined in JSR107. It
defines a standard Java Caching API for use by
developers and a standard SPI ("Service Provider
Interface") for use by implementers.

SPEC URL: http://pmackinn.fedorapeople.org/cache-api/cache-api.spec
SRPM URL: http://pmackinn.fedorapeople.org/cache-api/cache-api-0.10-1.fc19.src.rpm
Comment 1 gil cattaneo 2013-09-20 16:03:40 EDT
Created attachment 800669 [details]
review notes

seem all ok, but as a precaution i would ask the license information
adding a new tiket on Fedora Legal Tracker https://bugzilla.redhat.com/show_bug.cgi?id=182235
Comment 2 gil cattaneo 2013-09-20 16:05:51 EDT
i would like to take this review
Comment 4 Tom "spot" Callaway 2013-10-20 15:24:33 EDT
Ugh. I really hate these Oracle Java Specification licenses (I think Sun is to blame, though).

This license technically applies to the specification, but it places restrictions on code that implements the specification, specifically, restrictions on modifying the code.

This license is clearly non-free.

I can somewhat recognize the desire for them to try to have compliant implementations of the "specification", but I don't see why it has to be bound in copyright restrictions. Trademark "JCache", then only permit compatible implementations to use the "JCache" mark. If it is incompatible, it can exist, it simply cannot use the trademark.

The only good news here is that this "specification" license will expire in either 2 years from the date of the release of the "pre-version" (currently that would be August 8 2015), or when the Specification goes final (which it seems on track to do... http://jcp.org/en/jsr/detail?id=107).

Unless Oracle/Greg Luck decide to drop this license, I think we'll have to wait for this problem to resolve itself with time. I'm sorry. :(
Comment 5 gil cattaneo 2013-10-20 16:29:03 EDT
Thanks Tom for the clarification,
and i apologize for the noise

Note You need to log in before you can comment on or make changes to this bug.